Subject: Doubt on rootfs

From: Arravind babu <[email-masked]>
Date: Tue, 17 Aug 2004 19:14:02 +0100 (BST)

Hi all,
 
         I am cross-compiling linux 2.4.20 onto MIPS .I compiled and i booted the system.When i gave the command mount at the prompt it gave the following things.
 
$mount
 
rootfs on / type rootfs (rw)
/dev/rom0 on / type romfs (ro)
/dev/ram0 on /var type ext2 (rw)
/proc on /proc type proc (rw)
/dev/mtdblock6 on /flash type jffs2 (rw)
/dev/ram1 on /upgrade type sramfs (rw)
/dev/mtdblock5 on /apps type cramfs (ro)
devpts on /dev/pts type devpts (rw)

When i gave the same command on a normal linux 2.4.20 machine i got the following.
 
$mount
 
/dev/sda1 on / type ext3 (rw)
none on /proc type proc (rw)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda5 on /home type ext3 (rw)
/dev/sdb1 on /home1 type ext3 (rw)
none on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)

Why rootfs is not showing any device like in linux machine( /dev/sda1 on / type ext3)  ?
 I checked the files 
 
usr/src/linux/init/main.c
usr/src/linux/fs/ramfs/inode.c
usr/src/linux/fs/namespace.c
 
But i didnot got the point.Any idea is highly appreciated.My project is stopped due to this.Pls help me regarding this.
 
Thanks in advance,
Aravind.

Yahoo! India Matrimony: Find your life partneronline.